/* Datatable Style */
 :root{--theme-deafult:#FF0000!important;}
 :root{--theme-white:#ffffff;}
html{
    background-color: #fff;
}
.with-add-button-tab {
    position: absolute;
    right: 0px;
    top: 0px;
    z-index: 9;
}

.with-6btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 185px;
}

.with-5btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 202px;
}

.with-4btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 160px;
}

.with-3btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 120px;
}

.with-2btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 65px;
}

.with-1btn-search div.dataTables_wrapper div.dataTables_filter label {
    margin-right: 35px;
}

.add-new-category-role {
    position: relative;
}

div.dataTables_wrapper div.dataTables_filter input {
    display: inline-block;
    background-color: #F7F7F7;
    border: 1px solid #FF0000;
    padding-left: 30px !important;
    font-size: 13px;
}

.dt-button.buttons-print {
    color: transparent !important;
    all: unset;
    background-image: url(../images/core-img/print.svg);
    background-position: center;
    background-size: cover;
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-top: 6px;
    cursor: pointer;
}

.add-user-categ-btn1 {
    transition: 0.5s;
    user-select: none;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 28px;
    border-radius: 5px;
    display: inline-block;
    color: #ffffff;
    margin: 0px 0px 0px 10px;
    float: right;
    position: relative;
    background-color: var(--bs-menu-item-active-color);
    cursor: pointer;
}

.dt-button.buttons-colvis {
    color: transparent !important;
    all: unset;
    background-image: url(../images/core-img/filter.svg);
    background-position: center;
    background-size: cover;
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-top: 6px;
}

.add-user-categ-btn {
    transition: 0.5s;
    user-select: none;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 28px;
    border-radius: 5px;
    display: inline-block;
    color: #ffffff;
    margin: 0px 0px 0px 10px;
    float: right;
    position: relative;
    background-color: var(--bs-menu-item-active-color);
    cursor: pointer;
}

.table:not(.table-sm) thead th {
    background-color: rgba(252, 249, 249, 0.04);
    font-weight: 500;
    font-size: 13px;
    padding: 8px 5px !important;
}

.table>tbody>tr>td,
.table>thead>tr>th {
    white-space: nowrap;
}

.export-icon-toggle {
    position: absolute;
    top: -35px;
    left: 0px;
    display: none;
}

.dt-button.buttons-pdf {
    color: transparent !important;
    all: unset;
    background-image: url(../images/core-img/pdf.svg);
    background-position: center;
    background-size: cover;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.dt-button.buttons-excel {
    color: transparent !important;
    all: unset;
    background-image: url(../images/core-img/excel.svg);
    background-position: center;
    background-size: cover;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.edit-ico-ord {
    border: 1px solid #F3F3F3;
    width: 25px;
    height: 25px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
    color: #a8a8a8;
}



table.dataTable {
    border-collapse: collapse !important;
}

.dataTables_filter i {
    position: absolute;
    top: 8px;
    left: 15px;
    color: var(--bs-menu-item-active-color);
}

div.dataTables_wrapper div.dataTables_filter label {
    font-weight: normal;
    white-space: nowrap;
    text-align: left;
    padding-top: 0px;
    position: relative;
}

.dataTables_paginate {
    background-color: #F3F2F7;
    border-radius: 25px;
}
table.dataTable thead .sorting:before, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_desc_disabled:before {
    display: none!important;
}
table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    display: none!important;
}
.reporttabres .datatables tr:nth-child(even) {
    background: var(--bs-sidebar-bg) !important;
}
.reporttabres .datatables thead th {
    border-top: 1px solid var(--bs-link-color) !important;
    border-bottom: 1px solid var(--bs-link-color) !important;
    color: var(--bs-link-color) !important;
    font-size: 14px !important;
    font-weight: 600 !important;
}
.reporttabres .table td, .table:not(.table-bordered) th {
    border-top: none;
    border-bottom: none;
}
.reporttabres .datatables td {
    color: #212529 !important;
}
.reporttabres .datatables tr:nth-child(even) {
    background: var(--ADMPanelPrimaryColorOpa003);
}
    .reporttabres {
    width: 100%;
    overflow: auto;
}
.dt-button.buttons-colvis span , .dt-button.buttons-print span{
    display: none;
}
.table-responsive {
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
}
/* Datatable Style */


/* Manage User */
.manage-user-btn{
    background-color: var(--bs-sidebar-menu-item-hover-effact-color) !important;
    box-shadow: none !important;
    color: var(--bs-link-color);
    border-radius: 5px;
    padding: 3px;
}
    .manage-user-btn:hover {
        background-color: #131414 !important;
        box-shadow: none !important;
        color: var(--bs-link-color);
        border-radius: 5px;
    }
.manage-card .card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #f7f7ff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, 0.125);
    border-radius: 10px;
}
.manage-key-ico i {
    width: 30px;
    height: 30px;
    border: 3px solid white;
    border-radius: 50%;
    background-color: var(--bs-menu-item-active-color);
    color: white;
    padding: 5px;
}
  
.inpt-avatar-img {
    background-color: var(--bs-link-color);
    text-align: center;
    padding-top: 10px;
    height: 100px;
    border-radius: 15px;
}
.mnge-uplod {
    top: 25px;
}

.avatar-upload {
    position: relative;
}
.avatar-upload .avatar-edit input {
    display: none;
}
.avatar-upload .avatar-edit {
    position: absolute;
    z-index: 1;
    bottom: 0px;
}
    .avatar-upload .avatar-edit input + label {
        position: absolute;
        bottom: 20px;
        right: 50px;
        display: inline-block;
        width: 34px;
        height: 34px;
        margin-bottom: 0;
        border-radius: 100%;
        line-height: 30px;
        border: 1px solid #fff;
        cursor: pointer;
        font-weight: normal;
        transition: all 0.2s ease-in-out;
        background-color: white;
    }
.avatar-upload .avatar-preview {
    width: 150px;
    height: 150px;
    text-align: center;
    position: relative;
    border-radius: 100%;
    border: 6px solid #F8F8F8;
    box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 50%);
    margin: auto !important;
}
.manage-key-ico {
    position: absolute;
    right: -10px;
    top: -10px;
}
.avatar-upload .avatar-preview > div {
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
.form-input-box {
    padding-top: 100px;
    margin: 15px;
}
.avatar-upload .avatar-edit input + label:after {
    content: "\f040";
    font-family: 'Font Awesome / 5 Free';
    color: #ffffff !important;
    position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    text-align: center;
    margin: auto;
}

.manage-modal-content .close {
    position: absolute;
    top: -10px;
    right: -8px !important;
    color: var(--bs-link-color) !important;
    font-size: 18px !important;
    font-weight: 400 !important;
    height: 23px;
    background: #fff;
    border-radius: 50%;
    width: 23px;
    line-height: 23px;
    text-align: center;
    opacity: 1 !important;
}
.mnge-user-id {
    display: flex;
    justify-content:space-between;
}
.mnge-user-id div:nth-child(1) {
    width: 80px;
    margin-right: 10px;
}
.mnge-user-id div:nth-child(2) {
    margin-right: 10px;
}
.form-input-box .form-control {
    border-radius: 5px;
    box-shadow: none !important;
    border-color: #D8D8D8;
    height: auto;
    background-color: #F3F3F3;
    height: 47px !important;
}
.form-input-box .form-group{margin-bottom: 15px;}
.password-field-ico {
    position: relative;
}
.eye01 {
    position: absolute;
    right: 5px;
}
.form-input-box .styledSelect {
    border-radius: 5px;
    background-color: #F3F3F3;
    height: 47px !important;
    color: var(--bs-body-color)!important;
    border:1px solid #D8D8D8 !important;
}
/* Manage User */


/* Modal Content */
.manage-modal {
    display: none;
    position: fixed;
    z-index: 99999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* background-color: rgb(0,0,0); */
    background-color: rgba(0,0,0,0.3);
    padding-top: 10px;
    -webkit-animation: inv-animatezoom 0.6s;
    animation: inv-animatezoom 0.6s;
}
.modal-content-30 {
    width: 30% !important;
    margin: 1% auto 1% auto;
}
.manage-modal-content {
    position: relative;
    background-color: #fefefe;
    margin: 5% auto 5% auto;
    border: 1px solid #888;
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s;
    border: 1px solid rgba(0, 0, 0, .2);
    border-top-left-radius: 50px 20px !important;
    border-top-right-radius: 50px 20px !important;
    border-bottom-left-radius: 10px 10px !important;
    border-bottom-right-radius: 10px 10px !important;
}
@-webkit-keyframes animatezoom {
    from {-webkit-transform: scale(0)} 
    to {-webkit-transform: scale(1)}
  }
    
  @keyframes animatezoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
  }

  /* Model Content */


  /* Btn-Color */
  .save-btn {
    width: 100px;
    padding: 6px 10px;
    color: #ffffff;
    background-color: var(--bs-link-color);
    border-radius: 3px;
    text-align: center;
    border: 1px solid var(--bs-link-color);
}
.cancel-btn {
    color: var(--bs-link-color);
    background-color: var(--bs-sidebar-menu-item-hover-effact-color);
    border: 1px solid var(--bs-link-color) !important;
}

   /* Btn-Color */



   /* Other Style */
.new-scroll {
    overflow-y: scroll;
    height: calc(100vh - 140px);
    overflow-x: hidden;
    position: relative;
}
.new-scroll::-webkit-scrollbar {
    width: 5px;
}

.new-scroll::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.new-scroll::-webkit-scrollbar-thumb {
    background: var(--bs-link-color);
    border-radius: 50px !important;
}
.bottomlineinpopup {
    /* width: 100%; */
    height: 1px;
    background-color: var(--bs-sidebar-menu-item-hover-effact-color);
}

   /* Other Style */


   /* My Profile */
   .phone-number {
    border-bottom: 1px solid #e1e1e1;
    padding: 10px;
}
.card-employees-details {
    box-shadow: rgb(0 0 0 / 5%) 0px 6px 24px 0px, rgb(0 0 0 / 8%) 0px 0px 0px 1px;
    border-radius: 8px;
}
.moblie-phn-ico {
    background-color: white;
    color: var(--theme-white);
    width: 38px !important;
    border-radius: 50%;
    height: 38px;
    padding: 5px !important;
}
.number-text {
    margin-bottom: 0px !important;
}
.number-text .form-control {
    border-radius: 5px;
    box-shadow: none !important;
    height: auto;
    background-color: transparent;
    color: #656565;
    outline: none !important;
    /* width: 235px; */
    border: 1px solid var(--bs-white);
}
.edt-input-add{
    border: 1px solid var(--bs-link-color) !important;
}
.eye02 {
    position: absolute;
    right: 45px;
    top: 15px;
    font-size: 18px;
}
.profile-avatar {
    margin-top: -67px;
}
.card-employees-details {
    box-shadow: rgb(0 0 0 / 5%) 0px 6px 24px 0px, rgb(0 0 0 / 8%) 0px 0px 0px 1px;
    border-radius: 8px;
}
.profiler-name-des {
    display: block;
    font-size: 12px;
    font-weight: 500;
    color: #D8D8D8;
    margin-bottom: 15px;
}
.fixed-save-bottom-bar {
    position: fixed;
    bottom: 0px;
    height: 63px;
    border-top: 1px solid #EAEEF5;
    padding: 15px;
    right: 0px;
    width: 100%;
    margin-top: 170px;
}
.quarry-car{
    width: 100%;
    height: 250px;
    background-color: var(--bs-link-color);
    border-radius:5px;
}


 /* My Profile */

 /* User Access */
/* Basic Tree Table */
.basic-tree-table .dsbd-first-level-tr{
    background-color:transparent;
  }
  .head-col{
    background-color:var(--bs-link-color);
  }
  .head-col th{
    padding: 8px!important;
    color:#ffffff!important;
  }
  .basic-tree-table tbody tr td{padding: 5px!important; font-size: 13px;font-weight: 500;}
  table.simple-tree-table tr.tree-closed .tree-icon,table.simple-tree-table tr.tree-opened .tree-icon
{
  display:inline-block;
  line-height: 22px;
  width:22px;
  height:22px;
  margin: 0px 5px 0px 0px;
  padding:0 0px;
  font-weight: bold;
  background-color:var(--bs-link-color);
  color:#fff;
  text-align:center;
  cursor:pointer;
  border-radius:50%; 
}
table.simple-tree-table tr.tree-opened .tree-icon:after
{
  content:"-"
}
table.simple-tree-table tr.tree-closed .tree-icon:after
{
  content:"+"
}
.basic-tree-table tr th:nth-child(3),
.basic-tree-table tr th:nth-child(4),
.basic-tree-table tr th:nth-child(5),
.basic-tree-table tr td:nth-child(3),
.basic-tree-table tr td:nth-child(4),
.basic-tree-table tr td:nth-child(5)
{text-align: center;}
.basic-tree-table thead tr th,.basic-tree-table tbody tr td{padding: 2px!important; font-size: 10px;font-weight: 500;}
.basic-tree-table thead tr th:first-child{
    -webkit-border-top-left-radius: 5px;
    -webkit-border-bottom-left-radius: 5px;
    -moz-border-radius-topleft:5px;
    -moz-border-radius-bottomleft: 5px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
.basic-tree-table thead tr th:nth-child(6){
    -webkit-border-top-right-radius: 5px;
    -webkit-border-bottom-right-radius: 5px;
    -moz-border-radius-topright: 5px;
    -moz-border-radius-bottomright: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
.basic-tree-table input[type=checkbox].css-checkbox:checked + label.css-label {
    background-position: 0 -25px;
}
.basic-tree-table input[type=checkbox].css-checkbox + label.css-label {
    padding-left: 29px;
    height: 25px;
    display: inline-block;
    line-height: 14px;
    background-repeat: no-repeat;
    background-position: 0 0;
    font-size: 14px;
    vertical-align: middle;
    cursor: pointer;
}

.basic-tree-table label.css-label {
    background-image: url(../images/usercheck.png);
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.basic-tree-table tbody tr td {
    padding: 5px!important;
    font-size: 13px;
    font-weight: 500;
}

.basic-tree-table [type=checkbox]:checked+label:before {
    border-right: 2px solid var(--bs-link-color);
    border-bottom: 2px solid var(--bs-link-color);
}
.basic-tree-table [type="checkbox"]:checked+label:before {
    top: -4px;
    left: -5px;
    width: 12px;
    height: 22px;
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
    border-right: 2px solid var(--bs-link-color);
    border-bottom: 2px solid var(--bs-link-color);
    -webkit-transform: rotate(40deg);
    transform: rotate(40deg);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
}
.basic-tree-table [type="checkbox"]+label:before, [type="checkbox"]:not(.filled-in)+label:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 18px;
    height: 18px;
    z-index: 0;
    border: 2px solid var(--bs-text-muted);
    margin-top: 2px;
    transition: .2s;
    border-radius: 1px;
}
.basic-tree-table [type="checkbox"]:not(.filled-in)+label:after {
    border: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
.basic-tree-table input[type="checkbox"] {
    display: none !important;
}
.basic-tree-table [type="checkbox"]+label {
    position: relative;}
.basic-tree-table   label {
        margin-bottom: 5px;
        font-weight: 500;
    }
/* Basic Tree Table */
/* User Access */



/* popup modal */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999!important; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    padding-top: 40px;
  }
.modal-content {
    background-color: #fefefe;
    margin: 1% auto 5% auto;
    border: none !important;
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s;
    border-radius: 5px !important;
}
.modal-header-bg {
    width: 100% !important;
    /* margin: -2px !important; */
}
.new-quarry-head h6 {
    padding: 10px;
    font-size: 18px !important;
    color: #3B3B3B;
}
.close {
    position: absolute;
    top: -10px;
    right: -8px !important;
    color: #ffffff !important;
    font-size: 18px !important;
    font-weight: 500 !important;
    height: 23px;
    background: var(--primary-color);
    border-radius: 50%;
    width: 23px;
    text-align: center;
    opacity: 1 !important;
    cursor: pointer;
}
.modal-content-10{width:20% !important; margin:1% auto 1% auto;}
.modal-content-70{width:70% !important; margin:1% auto 1% auto;}
.modal-content-60{width:60% !important; margin:1% auto 1% auto;}
.modal-content-40{width:60% !important; margin:1% auto 1% auto;}
.modal-content-30{width:30% !important; margin:1% auto 1% auto;}
.modal-content-50{width:50% !important; margin:1% auto 1% auto;}
.modal-content-85{width:85% !important; margin:1% auto 1% auto;}
.modal-content-90{width:90% !important; margin:1% auto 1% auto;}

.dt-button.buttons-colvis span {
    display: none;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 21px!important;
}


/* Reports */
.report-nav-box {
    background-color: var(--bs-sidebar-menu-item-hover-effact-color);
    border-radius: 15px;
    width: 100% !important;
    text-align: center !important;
    padding: 20px 10px;
    border: 1px solid var(--bs-link-color);
    margin-bottom: 10px;
    color: var(--bs-link-color);
    font-size: 16px;
    font-weight: 600;
}
.report-nav-box:hover {
    background-color: var(--bs-link-color);
    color: #ffffff;
    -webkit-box-shadow: -2px 24px 33px -21px rgb(130, 107, 233);
    -moz-box-shadow: -2px 24px 33px -21px rgb(130, 107, 233);;
    box-shadow: -2px 24px 33px -21px rgb(130, 107, 233);;
    border: none;
    text-align: center !important;
}
.report-nav-box-img i{font-size: 40px;}

.boxbgcolor {
    background-color: #F2F2F2;
    color: #676969;
    border-radius: 5px;
}
.my-10 {
    margin-top: 10px !important;
    margin-bottom: 10px !important;
}
.py-10 {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}
.px-10 {
    padding-left: 10px !important;
    padding-right: 10px !important;
}
.imgbg {
    background-color: #ffffff;
}
.imgbg {
    width: 40px !important;
    height: 40px !important;
    border-radius: 50%;
    margin: auto;
}
.boxbgcolor {
    background-color: #F2F2F2;
    color: #676969;
    border-radius: 5px;
}
.Sumbit-btn button {
    /* background: linear-gradient(to bottom, #062778 0%, #003cd3 100%); */
    background-color: transparent;
    width: 100%;
    height: 35px;
    outline: none !important;
    /* border: none !important; */
    border-radius: 5px;
    /* box-shadow: rgb(176 199 255) 0px 4px 6px -1px, rgb(176 199 255) 0px 2px 4px -1px; */
    font-weight: 500;
    font-size: 14px;
    color: #062778;
    border: 1px solid #062778;
    /* margin-bottom: 10px; */
    /* margin-top: 20px; */
}
.calendar {
    display: flex;
    align-items: center;
}
.calendar-circle-report, .divOptionsesySelect .optionRow {
    cursor: pointer !important;
}
.calendar-circle-report {
    width: 37px;
    height: 37px;
    background-color: #FF0000;
    text-align: center;
    border-radius: 50%;
    line-height: 34px;
    transition: 0.5;
    z-index: 1 !important;
    padding-right: 1px;
    position: absolute;
    right: -7px;
    top: -4px;
}
.calendar-circle-report img {
    width: 17px;
}

.dashinput input {
    background-color: #FF0000!important;
    width: 0px;
    color: white;
    font-weight: 600;
    outline: none;
    border: none;
    padding: 10px 18px;
    transition: width 0.5s;
    text-align: right;
    border-radius: 25px;
    font-size: 12px;
}
.input-width-trans-report {
    width: 215px !important;
    background: rgba(255, 0, 0, 0.1);
    color: #f00;
    border: none;
    padding: 4px 10px;
    border-radius: 7px;
    font-weight: 600;
}
/* Reports */

/* Right-Popup */
.right-modal-content-10{width:20% !important; }
.right-modal-content-70{width:70% !important; }
.right-modal-content-60{width:60% !important; }
.right-modal-content-40{width:60% !important; }
.right-modal-content-30{width:30% !important; }
.right-modal-content-50{width:50% !important; }
.right-modal-content-85{width:85% !important; }
.right-modal-content-90{width:90% !important; }


    .z-theme {
        z-index: 9;
    }

    .box1 {
        width: 900px;
        height: 80px;
        /* background-color: #8f9cb5; */
        color: #fff;
        border-radius: 10px;
    }

    /* main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  height: 100vh;
} */

    h1 {
        text-align: center;
        color: #545454;
        padding: 0;
        margin: 0;
    }

    h3 {
        padding: 0;
        margin: 0;
        color: #003a79;
    }

    /*Tabs*/



    .tab__title .tab__button:first-of-type {
        margin: 0;
    }

    .tab__title .tab__button {
        /* padding: 18px; */
        color: var(--bs-black);
        border: 1px solid #E2E7F5;
        background: #E2E7F5;
        outline: none;
        margin: 0 -5px;
        cursor: pointer;
        width: 24%;
        height: 45px;
    }

        .tab__title .tab__button img {
            height: 25px;
            display: block;
            margin: 0px auto 5px;
            -webkit-filter: grayscale(100%);
            filter: grayscale(100%);
            transition: filter 0.3s ease;
        }

    .tab__title .tab_button-active {
        /* border-bottom: none; */
        background: #fafafa;
        color: #003a79;
    }

        .tab__title .tab_button-active img {
            filter: none;
        }

    .tab__inside {
        /* display: grid; */
        grid-template-columns: repeat(2, 1fr);
        visibility: hidden;
        opacity: 0;
        height: 0;
        transform: translateY(10px);
        transition: transform 0.3s ease-in;
    }

        .tab__inside .tab__inside-img {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-content: center;
        }

            .tab__inside .tab__inside-img img {
                height: 150px;
                display: block;
                margin: 0 auto;
            }

        .tab__inside .tab__inside-text {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-content: center;
        }

            .tab__inside .tab__inside-text p {
                color: #545454;
                font-size: 14px;
                font-weight: 100;
            }

            .tab__inside .tab__inside-text button {
                border-radius: 30px;
                text-transform: uppercase;
                padding: 10px;
                box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.1);
                border: none;
                cursor: pointer;
                background: #003a79;
                color: #fff;
                transition: all 0.3s ease;
                width: 100px;
            }

                .tab__inside .tab__inside-text button:hover {
                    background: #fff;
                    color: #1958F6;
                }

    .tab__inside-active {
        visibility: visible;
        opacity: 1;
        height: 100%;
        transform: translateY(0);
        transition: transform 0.3s ease-out 0.1s, opacity 0.3s ease-out 0.1s;
    }

.imgrefresh {
    cursor: pointer;
    text-align: center;
    border-radius: 10px;
    width: 90px;
    height: 55px;
    line-height: 55px;
    margin-top: -15px;
    border: 1px solid #FF0000!important;
}

    .savebutton {
        height: 50px;
        margin-top: -12px;
        width: 100px;
        padding: 8px 10px;
        color: #ffffff;
        background-color: var(--bs-link-color);
        border-radius: 3px;
        text-align: center;
        border: 1px solid var(--bs-link-color);
    }

    .addlocation {
        background-color: var(--theme-deafult);
        /*width: 56px;*/
        height: 56px;
        border-radius: 5px;
        text-align: center;
        line-height: 56px;
    }



    /* DASHBOARD */

    #divDashboardDetails .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 1.4rem;
        font-weight: 500;
    }

    .header i {
        font-size: 1rem;
        background-color: #b4b4bb;
        border-radius: 50px;
        width: 40px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        color: #333;
    }

    .chartimg img {
        border-radius: 50px;
        background-color: #b4b4bb;
        padding: 6px;
        width: 50px;
    }

    .text-color {
        color: var(--theme-deafult);
    }

    .form-floating .form-select:focus {
        border: 1px solid var(--theme-deafult);
        box-shadow: none;
    }

    .donebtn {
        background-color: var(--theme-deafult);
        color: #fff;
        border-radius: 4px;
        border: none;
        height: calc(3.5rem + 2px);
        width: 100%;
    }

.dataTables_wrapper .dataTables_length select{
    height: 32px;
}
/* RESPONSIVE */
/* modal-content */
@media (max-width: 1023px) {
    .modal-content-30 {
        width: 90% !important;
    }

    .modal-content-40 {
        width: 90% !important;
    }

    .modal-content-10 {
        width: 90% !important;
    }

    .Sale-ctrl-inputlet {
        width: 80%;
        margin: auto;
    }

    .right-modal-content-30 {
        width: 90% !important;
    }

    .right-modal-content-40 {
        width: 90% !important;
    }

    .right-modal-content-10 {
        width: 90% !important;
    }
}

@media (max-width: 640px) {
    .dataTables_wrapper .dataTables_length select {
        position: absolute;
        left: 0px;
        top:0px;
    }

    .dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter {
        float: right !important;
    }

    .dataTables_wrapper .dataTables_filter {
        margin-top: 0em !important;
    }

    div.dataTables_wrapper div.dataTables_filter input {
        width: 140px !important;
    }
}



@media (max-width: 425px) {
    .modal-content-60 {
        width: 90% !important;
    }

    .modal-content-40 {
        width: 92% !important;
    }

    .modal-content-30 {
        width: 90% !important;
    }

    .modal-content-10 {
        width: 90% !important;
    }

    .Sale-ctrl-inputlet {
        width: 90%;
        margin: auto;
    }

    .right-modal-content-60 {
        width: 90% !important;
    }

    .right-modal-content-40 {
        width: 92% !important;
    }

    .right-modal-content-30 {
        width: 90% !important;
    }

    .right-modal-content-10 {
        width: 90% !important;
    }


    div.dataTables_wrapper div.dataTables_filter label {
        margin-right: 0px;
    }

    /*.dataTables_wrapper .dataTables_filter {
            margin-top: 25px !important;
        }*/

    .with-add-button-tab {
        top: 0px;
    }

    div.dataTables_wrapper div.dataTables_filter input {
        width: 95%;
    }
}
@media (max-width: 400px) {
    div.dataTables_wrapper div.dataTables_filter input {
        width: 110px !important;
    }
}
@media (max-width: 375px) {
    div.dataTables_wrapper div.dataTables_filter input {
        width: 100px !important;
    }
}
@media (max-width: 357px) {
    div.dataTables_wrapper div.dataTables_filter input {
        width: 60px !important;
    }
}


/*Madhan */
.btn-seed {
    text-align: center;
    color: #fff;
    background-color: var(--theme-deafult);
    margin: auto;
    position: relative;
    top: 1px;
    height: 55px;
    border-radius: 5px;
    line-height: 40px;
    font-weight:500;
}

    .btn-seed:hover {
        text-align: center;
        color: #fff;
        background-color: var(--theme-deafult);
        margin: auto;
        position: relative;
        top: 1px;
        height: 55px;
        border-radius: 5px;
        line-height: 40px;
        font-weight: 500;
    }

.nodata {
    width: 50px;
    
}

.NurseryPlantAddBox {
    background-color: #f2f6f0;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

.toggle-passwords {
    position: absolute;
    top: 10px;
    right: 13px;
}
.toggle-password1 {
    position: absolute;
    top: 10px;
    right: 13px;
}

.txt2 {
    color: #FF0000!important;
}
#rememberMe {
    accent-color: #FF0000;
}
.amountwords {
    color: var(--bs-link-color);
    font-size: 15px;
    font-weight: 500;
    margin: 3px 0 -1px;
    display: block;
}

.Percent {
    color: var(--bs-link-color);
    font-size: 35px;
    font-weight: 700;
    margin: 0 0 4px;
    display: block;
}
.btn.btn-primary {
    background: #FF0000!important;
    border: 1px solid #FF0000;
}




.icon {
    display: inline-block;
    width: 1em;
    height: 1em;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
}

.wrapper {
    width: 100%;
    width: 100%;
    
    padding: 50px 20px;
    padding-top: 90px;
     
    background-image: linear-gradient(-20deg, #e7e7e7 0%, #fff4f4 100%);
   
    background-image: linear-gradient(-20deg, #dadada 0%, #ffffff 100%);
}

@media screen and (max-width: 768px) {
    .wrapper {
         
        padding-top: 80px;
    }
}

.profile-card {
    width: 100%;
    min-height: 460px;
    margin: auto;
    box-shadow: 0px 8px 60px -10px rgba(13, 28, 39, 0.1);
    background: #fff;
    border-radius: 12px;
    max-width: 700px;
    position: relative;
}

    .profile-card.active .profile-card__cnt {
        filter: blur(6px);
    }

    .profile-card.active .profile-card-message, .profile-card.active .profile-card__overlay {
        opacity: 1;
        pointer-events: auto;
        transition-delay: 0.1s;
    }

    .profile-card.active .profile-card-form {
        transform: none;
        transition-delay: 0.1s;
    }

.profile-card__img {
    width: 150px;
    height: 150px;
    margin-left: auto;
    margin-right: auto;
    transform: translateY(-50%);
    border-radius: 50%;
    overflow: hidden;
    position: relative;
    z-index: 4;
    border: 5px solid rgba(255, 0, 0, 0.9);
}

@media screen and (max-width: 576px) {
    .profile-card__img {
        width: 120px;
        height: 120px;
    }
}

.profile-card__img img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

.profile-card__cnt {
    margin-top: -35px;
    text-align: center;
    padding: 0 20px;
    padding-bottom: 40px;
    transition: all 0.3s;
}

.profile-card__name {
    font-weight: 700;
    font-size: 24px;
    color: #f00;
    margin-bottom: 15px;
}

.profile-card__txt {
    font-size: 18px;
    font-weight: 500;
    color: #324e63;
    margin-bottom: 15px;
}

    .profile-card__txt strong {
        font-weight: 700;
    }

.profile-card-loc {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 600;
}

.profile-card-loc__icon {
    display: inline-flex;
    font-size: 27px;
    margin-right: 10px;
}

.profile-card-inf {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: flex-start;
    margin-top: 35px;
}

.profile-card-inf__item {
    padding: 10px 35px;
    min-width: 150px;
}

@media screen and (max-width: 768px) {
    .profile-card-inf__item {
        padding: 10px 20px;
        min-width: 120px;
    }
}

.profile-card-inf__title {
    font-weight: 700;
    font-size: 18px;
    color: #324e63;
}

.profile-card-inf__txt {
    font-weight: 500;
    margin-top: 7px;
}

.profile-card-social {
    margin-top: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.profile-card-social__item {
    display: inline-flex;
    width: 55px;
    height: 55px;
    margin: 15px;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    color: #fff;
    background: #405de6;
    box-shadow: 0px 7px 30px rgba(43, 98, 169, 0.5);
    position: relative;
    font-size: 21px;
    flex-shrink: 0;
    transition: all 0.3s;
}

@media screen and (max-width: 768px) {
    .profile-card-social__item {
        width: 50px;
        height: 50px;
        margin: 10px;
    }
}

@media screen and (min-width: 768px) {
    .profile-card-social__item:hover {
        transform: scale(1.2);
    }
}

.profile-card-social__item.facebook {
    background: linear-gradient(45deg, #3b5998, #0078d7);
    box-shadow: 0px 4px 30px rgba(43, 98, 169, 0.5);
}

.profile-card-social__item.twitter {
    background: linear-gradient(45deg, #1da1f2, #0e71c8);
    box-shadow: 0px 4px 30px rgba(19, 127, 212, 0.7);
}

.profile-card-social__item.instagram {
    background: linear-gradient(45deg, #405de6, #5851db, #833ab4, #c13584, #e1306c, #fd1d1d);
    box-shadow: 0px 4px 30px rgba(120, 64, 190, 0.6);
}

.profile-card-social__item.behance {
    background: linear-gradient(45deg, #1769ff, #213fca);
    box-shadow: 0px 4px 30px rgba(27, 86, 231, 0.7);
}

.profile-card-social__item.github {
    background: linear-gradient(45deg, #333, #626b73);
    box-shadow: 0px 4px 30px rgba(63, 65, 67, 0.6);
}

.profile-card-social__item.codepen {
    background: linear-gradient(45deg, #324e63, #414447);
    box-shadow: 0px 4px 30px rgba(55, 75, 90, 0.6);
}

.profile-card-social__item.link {
    background: linear-gradient(45deg, #d5135a, #f05924);
    box-shadow: 0px 4px 30px rgba(223, 45, 70, 0.6);
}

.profile-card-social .icon-font {
    display: inline-flex;
}

.profile-card-ctr {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 40px;
}

@media screen and (max-width: 576px) {
    .profile-card-ctr {
        flex-wrap: wrap;
    }
}

.profile-card__button {
    background: none;
    border: none;
    font-family: 'Quicksand', sans-serif;
    font-weight: 700;
    font-size: 19px;
    margin: 15px 35px;
    padding: 15px 40px;
    min-width: 201px;
    border-radius: 50px;
    min-height: 55px;
    color: #fff;
    cursor: pointer;
    backface-visibility: hidden;
    transition: all 0.3s;
}

@media screen and (max-width: 768px) {
    .profile-card__button {
        min-width: 170px;
        margin: 15px 25px;
    }
}

@media screen and (max-width: 576px) {
    .profile-card__button {
        min-width: inherit;
        margin: 0;
        margin-bottom: 16px;
        width: 100%;
        max-width: 300px;
    }

        .profile-card__button:last-child {
            margin-bottom: 0;
        }
}

.profile-card__button:focus {
    outline: none !important;
}

@media screen and (min-width: 768px) {
    .profile-card__button:hover {
        transform: translateY(-5px);
    }
}

.profile-card__button:first-child {
    margin-left: 0;
}

.profile-card__button:last-child {
    margin-right: 0;
}

.profile-card__button.button--blue {
    background: linear-gradient(45deg, #1da1f2, #0e71c8);
    box-shadow: 0px 4px 30px rgba(19, 127, 212, 0.4);
}

    .profile-card__button.button--blue:hover {
        box-shadow: 0px 7px 30px rgba(19, 127, 212, 0.75);
    }

.profile-card__button.button--orange {
    background: linear-gradient(45deg, #d5135a, #f05924);
    box-shadow: 0px 4px 30px rgba(223, 45, 70, 0.35);
}

    .profile-card__button.button--orange:hover {
        box-shadow: 0px 7px 30px rgba(223, 45, 70, 0.75);
    }

.profile-card__button.button--gray {
    box-shadow: none;
    background: #dcdcdc;
    color: #142029;
}

.profile-card-message {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding-top: 130px;
    padding-bottom: 100px;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
}

.profile-card-form {
    box-shadow: 0 4px 30px rgba(15, 22, 56, 0.35);
    max-width: 80%;
    margin-left: auto;
    margin-right: auto;
    height: 100%;
    background: #fff;
    border-radius: 10px;
    padding: 35px;
    transform: scale(0.8);
    position: relative;
    z-index: 3;
    transition: all 0.3s;
}

@media screen and (max-width: 768px) {
    .profile-card-form {
        max-width: 90%;
        height: auto;
    }
}

@media screen and (max-width: 576px) {
    .profile-card-form {
        padding: 20px;
    }
}

.profile-card-form__bottom {
    justify-content: space-between;
    display: flex;
}

@media screen and (max-width: 576px) {
    .profile-card-form__bottom {
        flex-wrap: wrap;
    }
}

.profile-card textarea {
    width: 100%;
    resize: none;
    height: 210px;
    margin-bottom: 20px;
    border: 2px solid #dcdcdc;
    border-radius: 10px;
    padding: 15px 20px;
    color: #324e63;
    font-weight: 500;
    font-family: 'Quicksand', sans-serif;
    outline: none;
    transition: all 0.3s;
}

    .profile-card textarea:focus {
        outline: none;
        border-color: #8a979e;
    }

.profile-card__overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
    background: rgba(22, 33, 72, 0.35);
    border-radius: 12px;
    transition: all 0.3s;
}
.profile-card-address-box {
    background-color: rgba(255, 0, 0, 0.01);
    border: 2px dashed rgba(255, 0, 0, 1);
    padding:10px;
    margin-top: 20px;
    border-radius: 10px;
}
.profile-card-address-head {
    color: rgba(255, 0, 0, 1);
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
}
.profile-card-address-text{
    color:#000;
}
.con-det-text {
    font-size: 17px;
    color: #000;
    text-align: left;
    line-height: 40px;
}
span.badge.ms-badge{
    display: inline-block;
    font-size: 12px !important;
    width: 70px
}

.rec-upd-desc {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 500px;
}
#frmdivRecentUpdatesAdd .avatar-upload .avatar-preview {
    width: 300px;
    height: 300px;
    border-radius: 10px !important;
    border: 2px dashed #FF0000 !important;
    padding: 5px !important;
    box-shadow: none !important
}

#frmdivRecentUpdatesAdd .avatar-upload .avatar-preview > div {
    border-radius: 5px !important;
}

#frmdivRecentUpdatesAdd .avatar-upload .avatar-edit input + label:hover {
    background: transparent !important;
    cursor: pointer;
}
#frmdivRecentUpdatesAdd .avatar-upload .avatar-edit input + label {
    width: 300px;
    height: 300px;
    left: 0px !important;
    top: -9px;
    border-radius: 0px !important;
    cursor: pointer;
}
#frmdivRecentUpdatesAdd .avatar-upload .avatar-edit {
    left: 0px !important;
    cursor: pointer;
}

    #frmdivRecentUpdatesAdd .avatar-upload .avatar-edit input + label {
        background-color: transparent !important;
        /*background-image: url('../images/adv/upload.png')*/
        cursor:pointer;
        border:none
    }

#frmdivRecentUpdatesAdd .avatar-upload {
    max-width: 300px;
    margin: 50px auto 10px auto;
}
#frmdivRecentUpdatesAdd .imagePreview, #frmdivRecentUpdatesAdd .avatar-preview {
    cursor: pointer !important;
}
#frmdivRecentUpdatesAdd .upl-caption {font-size: 25px; color: #222222;font-weight: 600;margin-bottom: 20px}

.form-control {
    border: 0.0625rem solid #cdcdcd !important;
}